Subject: bug#13131: 24.1; Allow curly quotes to be found by searching for straight quotes?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Dec 2012 10:28:30 +0200

> From: Juri Linkov <[email-masked]>
> Date: Mon, 10 Dec 2012 09:59:05 +0200
> Cc: [email-masked]
> 
> There is a mapping of LEFT DOUBLE QUOTATION MARK and RIGHT DOUBLE QUOTATION MARK
> to "``" and "''" in `IT-unicode-translations' in lisp/term/internal.el

Irrelevant to the issue at hand.  That mapping (and internal.el in
general) is used by the MS-DOS build of Emacs to allow a legible
display of characters that the DOS codepage doesn't support.

> I can't find more mappings in the source code, ucs-normalize.el says
> that Punctuation is excluded from Normalization:
> 
> ;; HFS Normalization excludes following area for decomposition.
> ;;  U+02000 .. U+02FFF :: Punctuation, symbols, dingbats, arrows, etc.
> 
> But it seems Normalization can't help anyway because there is no
> decomposition information for such quotes in UnicodeData.txt.

This is not a normalization issue.  This is about an Emacs specific
feature, and should be treated as such.

We should begin by discussing whether we really want this feature, by
default or otherwise.  One of the aspects we need to consider, IMO, is
what do spell-checkers do with these characters: if they don't treat
them as word-constituents, that would be one argument against the
change; if they do, it's an argument for the change.

> Maybe the Unicode standard has a separate document for equivalence mappings
> for punctuation.  I can found only the following table.  Is this what is needed?
> 
> http://unicode.org/cldr/charts/supplemental/character_fallback_substitutions.html

This seems to be relevant to display, not to the issue at hand.  If
anything, it should tell us to treat ' as we treat ’, not the other
way around.